Assets
2 operations under assets. Examples read $API and $KEY from your shell.
GET /v1/assets
Responses
200 Default Response
object
dataarray requiredEach item:
codestring requiredasset_issuerstring requiredasset_contractstring requiredcurrencystring requireddecimalsnumber required one of7
has_moreboolean required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/assets" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/assets");GET /v1/assets/{code}
Parameters
codestring required in path
Responses
200 Default Response
object
codestring requiredasset_issuerstring requiredasset_contractstring requiredcurrencystring requireddecimalsnumber required one of7
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/assets/$CODE" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/assets/{code}", {
params: { path: { code: "<code>" } },
});